using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace RadGridViewBindingList
{
    class SyncPath : INotifyPropertyChanged
    {
        private int id;
        private string name;
        private string surname;

        public SyncPath()
        {
        }
        
        public SyncPath(int id, string name, string surname)
        {
            this.id = id;
            this.name = name;
            this.surname = surname;
        }

        public int ID
        {
            get { return id; }
            set 
            {
                id = value;
                OnPropertyChanged("ID");
            }
        }

        public string Name
        {
            get { return name; }
            set 
            {
                name = value;
                OnPropertyChanged("Name");
            }
        }

        public string Surname
        {
            get { return surname; }
            set 
            { 
                surname = value;
                OnPropertyChanged("Surname");
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
        }


        protected virtual void OnPropertyChanged(PropertyChangedEventArgs e)
        {
            if (this.PropertyChanged != null)
            {
                PropertyChanged(this, e);
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
